* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "PT Sans", sans-serif;
}

.navbar {
  background: #ffffff;
  height: 55px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.2rem;
  position: sticky;
  top: 0;
  z-index: 999;
}

.navbar__container {
  display: flex;
  justify-content: space-between;
  height: 55px;
  z-index: 1;
  width: 100%;
  max-width: 1300px;
  margin: 0 auto;
  padding: 0 50px;
}

.navbar__container img {
object-fit: cover;
border-radius: 0%;
}

#navbar__logo {
  background-color: #d4af37;
  background-size: 100%;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
  display: flex;
  align-items: center;
  cursor: pointer;
  text-decoration: none;
  font-size: 2rem;
}

.fa-gem {
  margin-right: 0.5 rem;
}

.navbar__menu {
  display: flex;
  align-items: center;
  list-style: none;
  text-align: center;
}

.navbar__item {
  height: 60px;
}

.navbar__links {
  color: #003300;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  padding: 0 1rem;
  height: 100%;
}

.navbar__btn {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 1rem;
  width: 100%;
}

.button {
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  padding: 10px 20px;
  height: 100%;
  width: 100%;
  border: none;
  outline: none;
  border-radius: 4px;
  background: #d4af37;
  color: #ffffff;
}

.button:hover {
  background: #131313;
  transition: all 0.3s ease;
}

.navbar__links:hover {
  color: #d4af37;
  transition: all 0.3s ease;
}

@media screen and (max-width: 960px) {
  .navbar__container {
    display: flex;
    justify-content: space-between;
    height: 80px;
    z-index: 1;
    width: 100%;
    max-width: 1300px;
    padding: 0;
  }

  .navbar__menu {
    display: grid;
    grid-template-columns: auto;
    margin: 0;
    width: 100%;
    position: absolute;
    top: -1000px;
    opacity: 0;
    transition: all 0.5s ease;
    height: 50vh;
    z-index: -1;
    background: #ffffff;
  }

  .navbar__menu.active {
    background: #ffffff;
    top: 100%;
    opacity: 1;
    transition: all 0.5s ease;
    z-index: 99;
    height: 59vh;
    font-size: 1.4rem;
  }

  #navbar__logo {
    padding-left: 25px;
    color: #d4af37;
  }

  .navbar__toggle .bar {
    width: 25px;
    height: 3px;
    margin: 5px auto;
    transition: all 0.3s ease-in-out;
    background: #003300;
  }

  .navbar__item {
    width: 100%;
  }

  .navbar__links {
    text-align: center;
    padding: 2rem;
    width: 100%;
    display: table;
  }

  #mobile-menu {
    position: absolute;
    top: 20%;
    right: 5%;
    transform: translate(5%, 20%);
  }

  .navbar__btn {
    padding-bottom: 2rem;
    padding-top: 1rem;
  }

  .button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80%;
    height: 60px;
    margin: 0;
  }

  .navbar__toggle .bar {
    display: block;
    cursor: pointer;
  }

  #mobile-menu.is-active .bar:nth-child(2) {
    opacity: 0;
  }

  #mobile-menu.is-active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }

  #mobile-menu.is-active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }
}

/* registration and sign in box */


body{
  position: relative;
  margin: 0;
  padding: 0;
  background-repeat: no-repeat;
  background-size: cover;
  background: #ffffff; 
  height: 100vh;

}

.center{
  width: 90%;
  max-width: 500px;
  background: #ffffff;
  border-radius: 4px;
  position: relative;
  align-items: center;
  justify-content: center;
  margin-left: auto;
  margin-right: auto;
}

.message{
  width: 90%;
  max-width: 500px;
  background: #ffffff;
  border-radius: 4px;
  position: relative;
  align-items: center;
  justify-content: center;
  margin-left: auto;
  margin-right: auto;
  color: #adadad;
  text-align: center;
align-items: center;
justify-content: center;
}



.message form{
  padding: 0 0px;
  box-sizing: border-box;
}

.center h1{
  text-align: center;
  padding: 10px 0 10px 0;
  /* border-bottom: 1px solid silver; */
  color: #003300;
}

.center form{
  padding: 0 40px;
  box-sizing: border-box;
}

form .txt_field{
  position: relative;
  border-bottom: 2px solid #003300;
  margin: 30px 0;
}

.txt_field input{
  width: 100%;
  padding: 0 5px;
  height: 40px;
  font-size: 16px;
  border: none;
  background: none;
  outline: none;
  color: #003300;
}

.message .txt_field input{
  width: 100%;
  padding: 0 5px;
  height: 40px;
  font-size: 16px;
  border: none;
  background: none;
  outline: none;
    color: #adadad;
}

.txt_field label{
  position: absolute;
  top: 50%;
  left: 5px;
  color: #adadad;
  transform: translateY(-50%);
  font-size: 16px;
  pointer-events: none;
}

.txt_field span::before{
  content: '';
  position: absolute;
  top: 40px;
  left: 0;
  width: 0px;
  height: 2px;
  background: #d4af37;
  transition: .5s;
}

.txt_field input:focus ~ label,
.txt_field input:valid ~ label{
  top: -5px;
  color: #d4af37;
}

.txt_field input:focus ~ span::before,
.txt_field input:Valid ~ span::before{
  width: 100%;
}

.pass{
  margin: -5px 0 20px 5px;
  color: #ffffff;
  cursor: pointer;
}

.pass:hover{
  text-decoration: underline;
}

input[type="Submit"]{
  width: 100%;
  height: 50px;
  border: 1px solid;
  border-radius: 4px;
  font-size: 18px;
  font-weight: 700;
  cursor: pointer;
  background: #003300;
  color: #ffffff;
  justify-content: center;
  margin-left: auto;
  margin-right: auto;
}

input[type="Submit"]:hover{
  background: #d4af37;
  transition: all 0.3s ease;
}

.signup_link{
  margin: 30px 0;
  text-align: center;
  font-size: 16px;
  color: #666666;
}

.signup_link a{
  color: #131313;
  text-decoration: none;
}

.signup_link a:hover{
  text-decoration: underline;
}

.HomeAbout{
  width: 100vw;
  height: 25vh;
}


/* main section Css */
.main {
  background-color: #ffffff;
}

.main__container {
  position: relative;
  display: flex; /* Add this to make it a flex container */
  justify-content: center; /* Horizontally center the content */
  align-items: center; /* Vertically center the content */
  font-size: 1.2rem;
  text-align: center;
  height: 40px;
  background-color: #ffffff;
  width: 100%;
  padding: 0;
  max-width: 1132px;
  margin: 0 auto;
}




.main__btn {
  font-size: 0.9rem;
  background-color: #004d00;
  padding: 14px 5px;
  border: none;
  border-radius: 4px;
  color: #ffffff;
  margin-top: 1.3rem;
  margin-right: .15rem; /* Adds spacing to the right */
  margin-left: .15rem;  /* Adds spacing to the left */
  cursor: pointer;
  position: relative;
  transition: all 0.35s;
  outline: none;
  width: 22%;
  font-weight: bold;
  display: inline-block; /* Ensures buttons align horizontally */
}


.main__btn a {
  position: relative;
  z-index: 2;
  color: #ffffff;
  text-decoration: none;
}

.main__btn:after {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: #131313;
  transition: all;
  border-radius: 4px;
}

.main__btn:hover {
  color: #ffffff;
}

.main__btn:hover:after {
  width: 100%;
}

/* Table section Css */
/* Center the table horizontally on the page */
.table-wrapper {
display: flex;
margin-left: auto;
margin-right: auto;
overflow: auto;
text-align: center;
align-items: center;
justify-content: center;
max-width: 1132px;
}

/* Define the table container with fixed height and scrollable content */
.table-container {
position: relative;
width: 90%;
margin-left: auto;
margin-right: auto;
overflow: auto;
text-align: center;
align-items: center;
justify-content: center;
max-width: 1132px;
}

/* Style the table header */
table thead {
background-color: #004d00;
color: #ffffff;
border-spacing: 0;
border-collapse: separate;
border-radius: 0px 0px 5px 5px;
} 

.table-container table {
width: 100%;
max-width: 1010px;
margin-left: auto;
margin-right: auto;
border: none;
}

img {
border-radius: 50%;
object-fit: cover;
}


/* Style the table cells */
table th, table td {
text-align: center;
table-layout: fixed;
padding: .4rem;
}

/* Style alternating rows for better readability */
tbody tr:nth-child(even) {
background-color: #f2f2f2;
color: #003300;
}

tbody tr:nth-child(odd) {
background-color: #d3d3d3;
color: #003300;
}


/* Table container for the splitters */

.table-container-intermediate {
  table-layout: fixed;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  overflow: auto;
  text-align: center;
  align-items: center;
  justify-content: center;
  max-width: 1010px;
  text-transform: uppercase;
    border-collapse: separate;
  border-radius: 5px 5px 0px 0px;
}

.table-container-intermediate table {
  table-layout: fixed;
  position: relative;
  width: 90%;
  align-items: center;
  justify-content: center;
  margin-left: auto;
  margin-right: auto;
  border-spacing: 0;
  border-collapse: separate;
  border-radius: 5px 5px 0px 0px;
}

.table-container-intermediate table thead {
  background-color: #004d00;
  color: #d4af37;
  border-radius: 5px 5px 0px 0px;
  /* Ensure the thead has the desired rounded corners */
  overflow: hidden; /* Ensure content does not overflow the border-radius */
}

.table-container a {
  color: #004d00; /* Set the default font color */
  font-weight: bold; /* Make the font bold */
  text-decoration: none; /* Remove underline by default */
}

.table-container a:hover,
.table-container-intermediate a:focus {
  color: #d4af37; /* Change font color on hover/click */
    font-weight: bold; /* Make the font bold */
  text-decoration: underline; /* Underline the link on hover/click */
}

/* Table Column Widths */
.table-container table td:nth-child(1) { width: 10%; }
.table-container table td:nth-child(2) { width: 40%; }
.table-container table td:nth-child(3) { width: 20%; }
.table-container table td:nth-child(4) { width: 15%; }
.table-container table td:nth-child(5) { width: 15%; }

/* Optional: Ensuring table layout remains fixed for consistent width distribution */
.table-container table {
  table-layout: fixed;
  width: 100%;
}

